> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutforschools.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Terms

> Return collection of all academic terms (academic sessions of type "term").



## OpenAPI

````yaml /api-reference/openapi.json get /ims/oneroster/v1p2/terms
openapi: 3.1.0
info:
  title: Scout API
  version: 1.0.0
  description: >-
    Programmatic access to Scout rostering data (IMS OneRoster 1.1 & 1.2) and
    related endpoints, authenticated with an API access token.
servers:
  - url: https://api.teachwithscout.com/v1
    description: Production
security: []
paths:
  /ims/oneroster/v1p2/terms:
    get:
      summary: Get Terms
      description: >-
        Return collection of all academic terms (academic sessions of type
        "term").
      parameters:
        - name: limit
          in: query
          description: >-
            To define the download segmentation value i.e. the maximum number of
            records to be contained in the response.
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            default: 100
        - name: offset
          in: query
          description: >-
            The number of the first record to be supplied in the reported
            dataset.
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: sort
          in: query
          description: >-
            Identifies the sort criteria to be used for the records in the
            response message. Use with the orderBy parameter.
          required: false
          schema:
            type: string
        - name: orderBy
          in: query
          description: >-
            The form of ordering for response to the sorted request i.e.
            ascending (asc) or descending (desc).
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
        - name: filter
          in: query
          description: >-
            The filtering rules to be applied when identifying the records to be
            supplied in the response message.
          required: false
          schema:
            type: string
        - name: fields
          in: query
          description: >-
            The set of items which are being requested to be included in the
            response. This is a set of items which are being requested to be
            included in the response.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          headers:
            X-Total-Count:
              description: The total number of resources that are available
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  academicSessions:
                    type: array
                    items:
                      type: object
                      properties:
                        sourcedId:
                          type: string
                          description: The unique identifier for the academic session
                        status:
                          type: string
                          enum:
                            - active
                            - inactive
                            - tobedeleted
                          description: The status of the academic session
                        dateLastModified:
                          type: string
                          format: date-time
                          description: >-
                            The date and time when the academic session was last
                            modified
                        title:
                          type: string
                          description: The title of the academic session
                        startDate:
                          type: string
                          format: date
                          description: The start date of the academic session
                        endDate:
                          type: string
                          format: date
                          description: The end date of the academic session
                        type:
                          type: string
                          enum:
                            - term
                            - semester
                            - schoolYear
                            - gradingPeriod
                            - summerTerm
                          description: The type of academic session
                        parent:
                          type: object
                          description: Reference to the parent academic session
                        children:
                          type: array
                          items:
                            type: object
                          description: References to child academic sessions
                        schoolYear:
                          type: string
                          description: The school year identifier
                        metadata:
                          type: object
                          description: Additional metadata for the academic session
                      required:
                        - sourcedId
                        - status
                        - dateLastModified
                        - title
                        - startDate
                        - endDate
                        - type
                        - parent
                        - children
                        - schoolYear
                        - metadata
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error

````